using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace LD20_Game
{
    class AlertBubble
    {
        static Vector2 speechTipOffset = new Vector2(24, 48);
        Vector2 location;
        public Vector2 Location
        {
            get
            {
                return location;
            }
            set
            {
                location = value;
            }
        }

        TrapType trapType;
        public TimeSpan ExpiresAt;

        public AlertBubble(Vector2 loc, TrapType type, TimeSpan expiresAt)
        {
            ExpiresAt = expiresAt;
            Location = loc;
            trapType = type;
        }

        public void Draw(SpriteBatch spriteBatch)
        {
            if (trapType == TrapType.Spike)
                spriteBatch.Draw(TextureManager.Textures["spikewarning"], Location, Color.White);

            if (trapType == TrapType.Mudslide)
                spriteBatch.Draw(TextureManager.Textures["mudslidewarning"], Location, Color.White);


        }
    }
}
